Resource Center/Resource Pool/Disk Offering Operations
PUTDisk Offering OperationsSince 0.6SynchronousAuth Required
UpdateDiskOffering
UpdateDiskOffering
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updatediskofferingObjectRequiredupdatediskoffering request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/disk-offerings/{uuid}/actions
/zstack/v1/disk-offerings/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/disk-offerings/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatediskoffering":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "a156bb54daa544628f2abff419c76977", "name": "new name", "diskSize": 100.0, "state": "Enabled", "type": "DefaultDiskOfferingType", "allocatorStrategy": "DefaultPrimaryStorageAllocationStrategy" } }Change History
This API has no change history records yet.
